umbrello: Uml::AssociationType Namespace Reference

umbrello 2.38.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::AssociationType Namespace Reference

## Enumerations
enum | Enum { Generalization = 500 , Aggregation , Dependency , Association , Association_Self , Coll_Mesg_Async , Seq_Message , Coll_Mesg_Self , Seq_Message_Self , Containment , Composition , Realization , UniAssociation , Anchor , State , Activity , Exception , Category2Parent , Child2Category , Relationship , Coll_Mesg_Sync , Reserved , Unknown = - 1 }

## Functions
QString | toString (Enum item)
QString | toStringI18n (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)
bool | hasUMLRepresentation (Enum item)

## Detailed Description

Association types.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::AssociationType::Enum

Enumerator
Generalization |
Aggregation |
Dependency |
Association |
Association_Self |
Coll_Mesg_Async |
Seq_Message |
Coll_Mesg_Self |
Seq_Message_Self |
Containment |
Composition |
Realization |
UniAssociation |
Anchor |
State |
Activity |
Exception |
Category2Parent |
Child2Category |
Relationship |
Coll_Mesg_Sync |
Reserved |
Unknown |

## Function Documentation

## ◆ fromInt()

Enum Uml::AssociationType::fromInt | ( | int | item | ) |

Convert an integer item into ProgrammingLanguage representation.

Parameters

  item | integer value to convert

Returns
  AssociationType enum

## ◆ fromString()

Enum Uml::AssociationType::fromString | ( | const QString & | item | ) |

Convert a string item into AssociationType representation.

Parameters

  item | item to convert

Returns
  AssociationType object

## ◆ hasUMLRepresentation()

bool Uml::AssociationType::hasUMLRepresentation | ( | Enum | item | ) |

Returns true if the given AssociationType has a representation as a UMLAssociation.

Parameters

  item | the AssociationType enum value to check

Returns
  boolean value

## ◆ toString()

QString Uml::AssociationType::toString | ( | Enum | item | ) |

Convert AssociationType item into QString representation.

Parameters

  item | item to convert

Returns
  QString representation of AssociationType

## ◆ toStringI18n()

QString Uml::AssociationType::toStringI18n | ( | Enum | item | ) |

Converts an AssociationType to its string representation.

Returns
  the string representation of the AssociationType